--- old/build/dtrace-toolkit/build.sh	Mon Jan  9 12:11:33 2017
+++ new/build/dtrace-toolkit/build.sh	Mon Jan  9 12:11:33 2017
@@ -33,7 +33,7 @@
 SUMMARY="$PROG ($VER)"
 DESC="$PROG - a collection of over 200 useful and documented DTrace scripts"
 
-DEPENDS_IPS="developer/dtrace runtime/perl runtime/python-26"
+DEPENDS_IPS="developer/dtrace runtime/perl runtime/python-27"
 
 PREFIX=/opt/DTT
 
--- old/build/entire/entire.p5m	Mon Jan  9 12:11:33 2017
+++ new/build/entire/entire.p5m	Mon Jan  9 12:11:33 2017
@@ -142,27 +142,16 @@
 depend fmri=library/nghttp2@1.15.0,5.11-@PVER@ type=require
 depend fmri=library/nspr@4.12,5.11-@PVER@ type=require
 depend fmri=library/pcre@8.39,5.11-@PVER@ type=require
-depend fmri=library/python-2/cherrypy-26@3.2.2,5.11-@PVER@ type=require
 depend fmri=library/python-2/cherrypy-27@3.2.2,5.11-@PVER@ type=require
-depend fmri=library/python-2/m2crypto-26@0.24,5.11-@PVER@ type=require
 depend fmri=library/python-2/m2crypto-27@0.24,5.11-@PVER@ type=require
-depend fmri=library/python-2/mako-26@1.0,5.11-@PVER@ type=require
 depend fmri=library/python-2/mako-27@1.0,5.11-@PVER@ type=require
-depend fmri=library/python-2/numpy-26@1.11,5.11-@PVER@ type=require
 depend fmri=library/python-2/numpy-27@1.11,5.11-@PVER@ type=require
-depend fmri=library/python-2/ply-26@3.9,5.11-@PVER@ type=require
 depend fmri=library/python-2/ply-27@3.9,5.11-@PVER@ type=require
-depend fmri=library/python-2/pybonjour-26@1.1.1,5.11-@PVER@ type=require
 depend fmri=library/python-2/pybonjour-27@1.1.1,5.11-@PVER@ type=require
-depend fmri=library/python-2/pycurl-26@7.43,5.11-@PVER@ type=require
 depend fmri=library/python-2/pycurl-27@7.43,5.11-@PVER@ type=require
-depend fmri=library/python-2/pyopenssl-26@0.11,5.11-@PVER@ type=require
 depend fmri=library/python-2/pyopenssl-27@0.11,5.11-@PVER@ type=require
-depend fmri=library/python-2/pyrex-26@0.9.9,5.11-@PVER@ type=require
 depend fmri=library/python-2/pyrex-27@0.9.9,5.11-@PVER@ type=require
-depend fmri=library/python-2/setuptools-26@0.6.11,5.11-@PVER@ type=require
 depend fmri=library/python-2/setuptools-27@0.6.11,5.11-@PVER@ type=require
-depend fmri=library/python-2/simplejson-26@3.8,5.11-@PVER@ type=require
 depend fmri=library/python-2/simplejson-27@3.8,5.11-@PVER@ type=require
 depend fmri=library/readline@7.0,5.11-@PVER@ type=require
 depend fmri=library/security/openssl@1.0.2,5.11-@PVER@ type=require
@@ -286,7 +275,7 @@
 depend fmri=runtime/perl@5.16.1,5.11-@PVER@ type=require
 depend fmri=runtime/perl/manual@5.16.1,5.11-@PVER@ type=require
 depend fmri=runtime/perl/module/sun-solaris@0.5.11,5.11-@PVER@ type=require
-depend fmri=runtime/python-26@2.6.8,5.11-@PVER@ type=require
+depend fmri=runtime/python-27@2.7,5.11-@PVER@ type=require
 depend fmri=security/sudo@1.8,5.11-@PVER@ type=require
 depend fmri=service/fault-management@0.5.11,5.11-@PVER@ type=require
 depend fmri=service/file-system/nfs@0.5.11,5.11-@PVER@ type=require
--- old/build/git/build.sh	Mon Jan  9 12:11:34 2017
+++ new/build/git/build.sh	Mon Jan  9 12:11:34 2017
@@ -36,7 +36,7 @@
 
 BUILD_DEPENDS_IPS="compatibility/ucb developer/build/autoconf archiver/gnu-tar"
 
-DEPENDS_IPS="runtime/python-26 \
+DEPENDS_IPS="runtime/python-27 \
              web/curl \
              library/security/openssl@1.0.2 \
              library/zlib"
@@ -46,8 +46,10 @@
 # For inet_ntop which isn't detected properly in the configure script
 LDFLAGS="-lnsl"
 CFLAGS64="$CFLAGS64 -I/usr/include/amd64"
+# Explicitly call out python version to make future python version bumps
+# smoother.
 CONFIGURE_OPTS="--without-tcltk
-    --with-python=/usr/bin/python
+    --with-python=/usr/bin/python2.7
     --with-curl=/usr
     --with-openssl=/usr"
 
--- old/build/illumos-tools/illumos-tools.p5m	Mon Jan  9 12:11:34 2017
+++ new/build/illumos-tools/illumos-tools.p5m	Mon Jan  9 12:11:34 2017
@@ -36,5 +36,5 @@
 depend fmri=system/header type=require
 depend fmri=system/management/snmp/net-snmp type=require
 depend fmri=text/gnu-gettext type=require
-depend fmri=library/python-2/python-extra-26 type=require
+depend fmri=library/python-2/python-extra-27 type=require
 depend fmri=pkg://omnios/runtime/python-27 type=require
--- old/build/jeos/omnios-userland.p5m	Mon Jan  9 12:11:34 2017
+++ new/build/jeos/omnios-userland.p5m	Mon Jan  9 12:11:34 2017
@@ -60,29 +60,17 @@
 depend fmri=library/nspr/header-nspr@4.12,5.11-@PVER@ type=incorporate
 depend fmri=library/pcre@8.39,5.11-@PVER@ type=incorporate
 depend fmri=library/perl-5/xml-parser@2.44,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/cherrypy-26@3.2.2,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/cherrypy-27@3.2.2,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/lxml-26@3.6,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/lxml-27@3.6,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/m2crypto-26@0.24,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/m2crypto-27@0.24,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/mako-26@1.0,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/mako-27@1.0,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/numpy-26@1.11,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/numpy-27@1.11,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/ply-26@3.9,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/ply-27@3.9,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/pybonjour-26@1.1.1,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/pybonjour-27@1.1.1,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/pycurl-26@7.43,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/pycurl-27@7.43,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/pyopenssl-26@0.11,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/pyopenssl-27@0.11,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/pyrex-26@0.9.9,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/pyrex-27@0.9.9,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/setuptools-26@0.6.11,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/setuptools-27@0.6.11,5.11-@PVER@ type=incorporate
-depend fmri=library/python-2/simplejson-26@3.8,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/simplejson-27@3.8,5.11-@PVER@ type=incorporate
 depend fmri=library/readline@7.0,5.11-@PVER@ type=incorporate
 depend fmri=library/security/openssl@1.0.2,5.11-@PVER@ type=incorporate
@@ -102,7 +90,6 @@
 depend fmri=runtime/perl@5.16.1,5.11-@PVER@ type=incorporate
 depend fmri=runtime/perl-64@5.16.1,5.11-@PVER@ type=incorporate
 depend fmri=runtime/perl/manual@5.16.1,5.11-@PVER@ type=incorporate
-depend fmri=runtime/python-26@2.6.8,5.11-@PVER@ type=incorporate
 depend fmri=security/sudo@1.8,5.11-@PVER@ type=incorporate
 depend fmri=service/network/ntp@4.2.8,5.11-@PVER@ type=incorporate
 depend fmri=shell/bash@4.4,5.11-@PVER@ type=incorporate
--- old/build/libxml2/build.sh	Mon Jan  9 12:11:34 2017
+++ new/build/libxml2/build.sh	Mon Jan  9 12:11:34 2017
@@ -35,12 +35,14 @@
 
 DEPENDS_IPS="compress/xz system/library/gcc-5-runtime library/zlib"
 BUILD_DEPENDS_IPS="$DEPENDS_IPS developer/sunstudio12.1"
+# Keep python tied to the version we're supporting, to aid future changes.
+CONFIGURE_OPTS="--with-python=/usr/bin/python2.7"
 
 fix_python_install() {
-    logcmd mkdir -p $DESTDIR/usr/lib/python2.6/vendor-packages
-    logcmd mv $DESTDIR/usr/lib/python2.6/site-packages/* $DESTDIR/usr/lib/python2.6/vendor-packages/ || logerr "failed relocating python install"
-    logcmd rm -f $DESTDIR/usr/lib/python2.6/vendor-packages/64/drv_libxml2.py
-    logcmd rm -rf $DESTDIR/usr/lib/python2.6/site-packages || logerr "failed removing bad python install"
+    logcmd mkdir -p $DESTDIR/usr/lib/python2.7/vendor-packages
+    logcmd mv $DESTDIR/usr/lib/python2.7/site-packages/* $DESTDIR/usr/lib/python2.7/vendor-packages/ || logerr "failed relocating python install"
+    logcmd rm -f $DESTDIR/usr/lib/python2.7/vendor-packages/64/drv_libxml2.py
+    logcmd rm -rf $DESTDIR/usr/lib/python2.7/site-packages || logerr "failed removing bad python install"
     logcmd rm -rf $DESTDIR/usr/include/amd64 || logerr "failed removing bad includes install"
 }
 
@@ -71,7 +73,7 @@
         logerr "libtool libxml2mod.la patch failed"
 
     logcmd $MAKE DESTDIR=${DESTDIR} \
-        PYTHON_SITE_PACKAGES=/usr/lib/python2.6/site-packages/64 \
+        PYTHON_SITE_PACKAGES=/usr/lib/python2.7/site-packages/64 \
         install || \
         logerr "--- Make install failed"
 }
--- old/build/libxslt/build.sh	Mon Jan  9 12:11:34 2017
+++ new/build/libxslt/build.sh	Mon Jan  9 12:11:34 2017
@@ -40,8 +40,8 @@
 LDFLAGS="-lpthread"
 
 CONFIGURE_OPTS="--disable-static --with-pic --with-threads --without-crypto"
-CONFIGURE_OPTS_32="$CONFIGURE_OPTS_32 --with-python=/usr/bin/$ISAPART/python2.6"
-CONFIGURE_OPTS_64="$CONFIGURE_OPTS_64 --with-python=/usr/bin/$ISAPART64/python2.6"
+CONFIGURE_OPTS_32="$CONFIGURE_OPTS_32 --with-python=/usr/bin/$ISAPART/python2.7"
+CONFIGURE_OPTS_64="$CONFIGURE_OPTS_64 --with-python=/usr/bin/$ISAPART64/python2.7"
 
 NO_PARALLEL_MAKE="true"
 
--- old/build/mercurial/build.sh	Mon Jan  9 12:11:34 2017
+++ new/build/mercurial/build.sh	Mon Jan  9 12:11:34 2017
@@ -33,7 +33,7 @@
 SUMMARY="$PROG - a free and open source, distributed version control system"
 DESC="$SUMMARY"
 
-DEPENDS_IPS="runtime/python-26 \
+DEPENDS_IPS="runtime/python-27 \
              web/curl \
              library/security/openssl@1.0.2
              library/zlib"
@@ -42,7 +42,7 @@
 CONFIGURE_OPTS=""
 
 PYTHONPATH=/usr
-PYTHON=$PYTHONPATH/bin/python2.6
+PYTHON=$PYTHONPATH/bin/python2.7
 PYTHONLIB=$PYTHONPATH/lib
 
 python_build() {
@@ -69,7 +69,7 @@
         logerr "--- install failed"
     popd > /dev/null
 
-    mv $DESTDIR/usr/lib/python2.6/site-packages $DESTDIR/usr/lib/python2.6/vendor-packages ||
+    mv $DESTDIR/usr/lib/python2.7/site-packages $DESTDIR/usr/lib/python2.7/vendor-packages ||
         logerr "Cannot move from site-packages to vendor-packages"
 }
 
--- old/build/pkg/build.sh	Mon Jan  9 12:11:34 2017
+++ new/build/pkg/build.sh	Mon Jan  9 12:11:34 2017
@@ -21,7 +21,7 @@
 # CDDL HEADER END
 #
 #
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
 # Load support functions
@@ -48,7 +48,7 @@
 BRAND_CFLAGS="-I./gate-include"
 
 BUILD_DEPENDS_IPS="developer/versioning/git developer/versioning/mercurial system/zones/internal"
-DEPENDS_IPS="runtime/python-26@2.6.7"
+DEPENDS_IPS="runtime/python-27"
 
 crib_headers(){
     # Use PREBUILT_ILLUMOS if available, otherwise, just pull off the
--- /dev/null	Mon Jan  9 12:11:34 2017
+++ new/build/python-cherrypy/26-obsolete.p5m	Mon Jan  9 12:11:34 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/cherrypy-26@3.2.2-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-cherrypy/build.sh	Mon Jan  9 12:11:34 2017
+++ new/build/python-cherrypy/build.sh	Mon Jan  9 12:11:34 2017
@@ -32,25 +32,10 @@
 SUMMARY="cherrypy - A Minimalist Python Web Framework"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
-PKG=library/python-2/cherrypy-26
-RUN_DEPENDS_IPS="runtime/python-26"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
-
-set_python_version 2.7
-XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 PKG=library/python-2/cherrypy-27
 RUN_DEPENDS_IPS="runtime/python-27"
 init
@@ -60,5 +45,3 @@
 python_build
 make_package
 clean_up
-
-set_python_version $OLDPV
--- old/build/python-cherrypy/rename.p5m	Mon Jan  9 12:11:34 2017
+++ new/build/python-cherrypy/rename.p5m	Mon Jan  9 12:11:34 2017
@@ -2,4 +2,4 @@
 set name=pkg.renamed value=true
 set name=pkg.description value="cherrypy - A Minimalist Python Web Framework"
 set name=pkg.summary value="cherrypy - A Minimalist Python Web Framework"
-depend fmri=library/python-2/cherrypy-26 type=require
+depend fmri=library/python-2/cherrypy-27 type=require
--- /dev/null	Mon Jan  9 12:11:34 2017
+++ new/build/python-coverage/26-obsolete.p5m	Mon Jan  9 12:11:34 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/coverage-26@4.2-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-coverage/build.sh	Mon Jan  9 12:11:35 2017
+++ new/build/python-coverage/build.sh	Mon Jan  9 12:11:35 2017
@@ -32,25 +32,10 @@
 SUMMARY="Code coverage measurement for Python"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
-RUN_DEPENDS_IPS="runtime/python-26"
-PKG=library/python-2/coverage-26
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
-
-set_python_version 2.7
-XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 RUN_DEPENDS_IPS="runtime/python-27"
 PKG=library/python-2/coverage-27
 init
@@ -60,5 +45,3 @@
 python_build
 make_package
 clean_up
-
-set_python_version $OLDPV
--- /dev/null	Mon Jan  9 12:11:35 2017
+++ new/build/python-extra-27/26-obsolete.p5m	Mon Jan  9 12:11:35 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/python-extra-26@0.5.11,5.11-0.@RELVER@
+set name=pkg.obsolete value=true
--- old/build/python-functools32/build.sh	Mon Jan  9 12:11:35 2017
+++ new/build/python-functools32/build.sh	Mon Jan  9 12:11:35 2017
@@ -33,12 +33,9 @@
 SUMMARY="Backport of the functools module from Python 3.2.3 for use on 2.7"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this for 2.7 for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.7
+# In the future when we upgrade python again, be sure to wrap the following     
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.          
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 PKG=library/python-2/functools32-27
 RUN_DEPENDS_IPS="runtime/python-27"
@@ -51,5 +48,3 @@
 python_build
 make_package
 clean_up
-
-set_python_version $OLDPV
--- /dev/null	Mon Jan  9 12:11:35 2017
+++ new/build/python-jsonrpclib/26-obsolete.p5m	Mon Jan  9 12:11:35 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/jsonrpclib-26@0.1.7-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-jsonrpclib/build.sh	Mon Jan  9 12:11:35 2017
+++ new/build/python-jsonrpclib/build.sh	Mon Jan  9 12:11:35 2017
@@ -32,25 +32,10 @@
 SUMMARY="A Python JSON-RPC over HTTP that mirrors xmlrpclib syntax"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
-PKG=library/python-2/jsonrpclib-26
-RUN_DEPENDS_IPS="runtime/python-26"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
-
-set_python_version 2.7
-XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 PKG=library/python-2/jsonrpclib-27
 RUN_DEPENDS_IPS="runtime/python-27"
 init
@@ -60,5 +45,3 @@
 python_build
 make_package
 clean_up
-
-set_python_version $OLDPV
--- old/build/python-jsonschema/build.sh	Mon Jan  9 12:11:35 2017
+++ new/build/python-jsonschema/build.sh	Mon Jan  9 12:11:35 2017
@@ -32,12 +32,9 @@
 SUMMARY="An implementation of JSON Schema validation for Python"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this for 2.7 for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.7
+# In the future when we upgrade python again, be sure to wrap the following     
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.          
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 PKG=library/python-2/jsonschema-27
 RUN_DEPENDS_IPS="runtime/python-27"
@@ -48,5 +45,3 @@
 python_build
 make_package
 clean_up
-
-set_python_version $OLDPV
--- /dev/null	Mon Jan  9 12:11:35 2017
+++ new/build/python-lxml/26-obsolete.p5m	Mon Jan  9 12:11:35 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/lxml-26@3.6.4-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-lxml/build.sh	Mon Jan  9 12:11:35 2017
+++ new/build/python-lxml/build.sh	Mon Jan  9 12:11:35 2017
@@ -32,26 +32,10 @@
 SUMMARY="lxml - Powerful and Pythonic XML processing library"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
-PKG=library/python-2/lxml-26
-RUN_DEPENDS_IPS="runtime/python-26 library/libxml2 library/libxslt"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-strip_install -x
-make_package
-clean_up
-
-set_python_version 2.7
-XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 PKG=library/python-2/lxml-27
 RUN_DEPENDS_IPS="runtime/python-27 library/libxml2 library/libxslt"
 init
@@ -62,5 +46,3 @@
 strip_install -x
 make_package
 clean_up
-
-set_python_version $OLDPV
--- /dev/null	Mon Jan  9 12:11:35 2017
+++ new/build/python-m2crypto/26-obsolete.p5m	Mon Jan  9 12:11:35 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/m2crypto-26@0.24.0-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-m2crypto/build.sh	Mon Jan  9 12:11:35 2017
+++ new/build/python-m2crypto/build.sh	Mon Jan  9 12:11:35 2017
@@ -34,25 +34,10 @@
 
 BUILD_DEPENDS_IPS="swig"
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
-PKG=library/python-2/m2crypto-26
-RUN_DEPENDS_IPS="runtime/python-26 library/security/openssl@1.0.2"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
-
-set_python_version 2.7
-XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 PKG=library/python-2/m2crypto-27
 RUN_DEPENDS_IPS="runtime/python-27 library/security/openssl@1.0.2"
 init
@@ -62,5 +47,3 @@
 python_build
 make_package
 clean_up
-
-set_python_version $OLDPV
--- old/build/python-m2crypto/rename.p5m	Mon Jan  9 12:11:35 2017
+++ new/build/python-m2crypto/rename.p5m	Mon Jan  9 12:11:35 2017
@@ -2,4 +2,4 @@
 set name=pkg.renamed value=true
 set name=pkg.description value="Python interface for openssl"
 set name=pkg.summary value="Python interface for openssl"
-depend fmri=library/python-2/m2crypto-26 type=require
+depend fmri=library/python-2/m2crypto-27 type=require
--- /dev/null	Mon Jan  9 12:11:35 2017
+++ new/build/python-mako/26-obsolete.p5m	Mon Jan  9 12:11:35 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/mako-26@1.0.4-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-mako/build.sh	Mon Jan  9 12:11:35 2017
+++ new/build/python-mako/build.sh	Mon Jan  9 12:11:35 2017
@@ -21,7 +21,7 @@
 # CDDL HEADER END
 #
 #
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
 # Load support functions
@@ -32,23 +32,9 @@
 SUMMARY="Mako - a python templating language"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
-XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
-PKG=library/python-2/mako-26
-RUN_DEPENDS_IPS="runtime/python-26 library/python-2/setuptools-26"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
-
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 set_python_version 2.7
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 PKG=library/python-2/mako-27
@@ -60,5 +46,3 @@
 python_build
 make_package
 clean_up
-
-set_python_version $OLDPV
--- old/build/python-mako/rename.p5m	Mon Jan  9 12:11:36 2017
+++ new/build/python-mako/rename.p5m	Mon Jan  9 12:11:36 2017
@@ -2,4 +2,4 @@
 set name=pkg.renamed value=true
 set name=pkg.description value="Mako - a python templating language"
 set name=pkg.summary value="Mako - a python templating language"
-depend fmri=library/python-2/mako-26 type=require
+depend fmri=library/python-2/mako-27 type=require
--- /dev/null	Mon Jan  9 12:11:36 2017
+++ new/build/python-numpy/26-obsolete.p5m	Mon Jan  9 12:11:36 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/numpy-26@1.11.2-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-numpy/build.sh	Mon Jan  9 12:11:36 2017
+++ new/build/python-numpy/build.sh	Mon Jan  9 12:11:36 2017
@@ -46,26 +46,10 @@
 
 save_function clean_up clean_up_orig
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
-PKG=library/python-2/numpy-26
-RUN_DEPENDS_IPS="runtime/python-26"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-strip_install -x
-make_package
-clean_up
-
-set_python_version 2.7
-XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 PKG=library/python-2/numpy-27
 RUN_DEPENDS_IPS="runtime/python-27"
 init
@@ -76,5 +60,3 @@
 strip_install -x
 make_package
 clean_up
-
-set_python_version $OLDPV
--- /dev/null	Mon Jan  9 12:11:36 2017
+++ new/build/python-ply/26-obsolete.p5m	Mon Jan  9 12:11:36 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/ply-26@3.9-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-ply/build.sh	Mon Jan  9 12:11:36 2017
+++ new/build/python-ply/build.sh	Mon Jan  9 12:11:36 2017
@@ -38,26 +38,10 @@
         $TMPDIR/$BUILDDIR/LICENSE
 }
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
-PKG=library/python-2/ply-26
-RUN_DEPENDS_IPS="runtime/python-26"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_license
-make_package
-clean_up
-
-set_python_version 2.7
-XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 PKG=library/python-2/ply-27
 RUN_DEPENDS_IPS="runtime/python-27"
 init
@@ -68,5 +52,3 @@
 make_license
 make_package
 clean_up
-
-set_python_version $OLDPV
--- old/build/python-ply/rename.p5m	Mon Jan  9 12:11:36 2017
+++ new/build/python-ply/rename.p5m	Mon Jan  9 12:11:36 2017
@@ -2,4 +2,4 @@
 set name=pkg.renamed value=true
 set name=pkg.description value="ply - Python lex and yacc"
 set name=pkg.summary value="ply - Python lex and yacc"
-depend fmri=library/python-2/ply-26 type=require
+depend fmri=library/python-2/ply-27 type=require
--- /dev/null	Mon Jan  9 12:11:36 2017
+++ new/build/python-pybonjour/26-obsolete.p5m	Mon Jan  9 12:11:36 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/pybonjour-26@1.1.1-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-pybonjour/build.sh	Mon Jan  9 12:11:36 2017
+++ new/build/python-pybonjour/build.sh	Mon Jan  9 12:11:36 2017
@@ -37,26 +37,10 @@
         $TMPDIR/$BUILDDIR/LICENSE
 }
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
-PKG=library/python-2/pybonjour-26
-RUN_DEPENDS_IPS="runtime/python-26"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_license
-make_package
-clean_up
-
-set_python_version 2.7
-XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 PKG=library/python-2/pybonjour-27
 RUN_DEPENDS_IPS="runtime/python-27"
 init
@@ -67,5 +51,3 @@
 make_license
 make_package
 clean_up
-
-set_python_version $OLDPY
--- old/build/python-pybonjour/rename.p5m	Mon Jan  9 12:11:36 2017
+++ new/build/python-pybonjour/rename.p5m	Mon Jan  9 12:11:36 2017
@@ -2,4 +2,4 @@
 set name=pkg.renamed value=true
 set name=pkg.description value="pure-Python interface bonjour/DNS-SD implementation"
 set name=pkg.summary value="pure-Python interface bonjour/DNS-SD implementation"
-depend fmri=library/python-2/pybonjour-26 type=require
+depend fmri=library/python-2/pybonjour-27 type=require
--- /dev/null	Mon Jan  9 12:11:36 2017
+++ new/build/python-pycurl/26-obsolete.p5m	Mon Jan  9 12:11:36 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/pycurl-26@7.43.0-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-pycurl/build.sh	Mon Jan  9 12:11:36 2017
+++ new/build/python-pycurl/build.sh	Mon Jan  9 12:11:36 2017
@@ -32,23 +32,9 @@
 SUMMARY="Python bindings for libcurl"
 DESC="PycURL provides a thin layer of Python bindings on top of libcurl."
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
-XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
-PKG=library/python-2/pycurl-26
-RUN_DEPENDS_IPS="runtime/python-26 library/security/openssl@1.0.2 web/curl"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
-
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 set_python_version 2.7
 XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
 PKG=library/python-2/pycurl-27
@@ -60,5 +46,3 @@
 python_build
 make_package
 clean_up
-
-set_python_version $OLDPV
--- old/build/python-pycurl/rename.p5m	Mon Jan  9 12:11:36 2017
+++ new/build/python-pycurl/rename.p5m	Mon Jan  9 12:11:36 2017
@@ -2,4 +2,4 @@
 set name=pkg.renamed value=true
 set name=pkg.description value="Python bindings for libcurl"
 set name=pkg.summary value="Python bindings for libcurl"
-depend fmri=library/python-2/pycurl-26 type=require
+depend fmri=library/python-2/pycurl-27 type=require
--- /dev/null	Mon Jan  9 12:11:36 2017
+++ new/build/python-pylint/26-obsolete.p5m	Mon Jan  9 12:11:36 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/pylint-26@1.6.4-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-pylint/build.sh	Mon Jan  9 12:11:37 2017
+++ new/build/python-pylint/build.sh	Mon Jan  9 12:11:37 2017
@@ -32,25 +32,10 @@
 SUMMARY="python code static checker"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
-PKG=library/python-2/pylint-26
-RUN_DEPENDS_IPS="runtime/python-26"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
-
-set_python_version 2.7
-XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
 PKG=library/python-2/pylint-27
 RUN_DEPENDS_IPS="runtime/python-27"
 init
@@ -60,5 +45,3 @@
 python_build
 make_package
 clean_up
-
-set_python_version $OLDPV
--- /dev/null	Mon Jan  9 12:11:37 2017
+++ new/build/python-pyopenssl/26-obsolete.p5m	Mon Jan  9 12:11:37 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/pyopenssl-26@0.11-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-pyopenssl/build.sh	Mon Jan  9 12:11:37 2017
+++ new/build/python-pyopenssl/build.sh	Mon Jan  9 12:11:37 2017
@@ -21,7 +21,7 @@
 # CDDL HEADER END
 #
 #
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
 # Load support functions
@@ -32,25 +32,10 @@
 SUMMARY="pyOpenSSL - Python interface to the OpenSSL library for Python 2.6"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
-PKG=library/python-2/pyopenssl-26
-RUN_DEPENDS_IPS="runtime/python-26 library/security/openssl@1.0.2"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
-
-set_python_version 2.7
-XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
 PKG=library/python-2/pyopenssl-27
 RUN_DEPENDS_IPS="runtime/python-27 library/security/openssl@1.0.2"
 init
@@ -60,5 +45,3 @@
 python_build
 make_package
 clean_up
-
-set_python_version $OLDPV
--- /dev/null	Mon Jan  9 12:11:37 2017
+++ new/build/python-pyrex/26-obsolete.p5m	Mon Jan  9 12:11:37 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/pyrex-26@0.9.9-@PVER@
+set name=pkg.obsolete value=true
